#ifndef _SHIM_																	//    
#define _SHIM_

#include <avr/iom128.h>															//  /
#include "IOPort.h"																//    -

__volatile__ static unsigned int _ShimPeriod[6]={0,0,0,0,0,0};					// 
__volatile__ static unsigned int _ShimPulse[6]={0,0,0,0,0,0};					//  
__volatile__ static unsigned int _ShimCount[6]={0,0,0,0,0,0};					//  

#define TIMER2	
#define _SHIM_TIMER2_
#include "Timer2.h"																//    2

//=================================    ====================================
// :
//Cannel- 
//Pulse-  
//Period-  
// :
//0x00-    ,    0xFF

char Shim(int Cannel, unsigned int Pulse, unsigned int Period)
{
	if (Cannel>5) return 0xFF;													//     ,   
	if (Period>1000) return 0xFF;												//    10 ,   
	if (Pulse>Period) return 0xFF;												//     
	
	_ShimPeriod[Cannel]=Period;													//  
	_ShimPulse[Cannel]=Pulse;
	
//-------------------    6  - --------------------
#ifdef _IO_6_ENABLE_	
	switch (Cannel)
	{
	case 0:
		DDRE|=(1<<PE3);															//    
		if (Pulse!=0) PORTE|=(1<<PE3);											//  ,    
		else PORTE&=~(1<<PE3);													//,  
		break;
	case 1:
		DDRE|=(1<<PE4);															//    
		if (Pulse!=0) PORTE|=(1<<PE4);											//  ,    
		else PORTE&=~(1<<PE4);													//,  
		break;
	case 2:
		DDRE|=(1<<PE5);															//    
		if (Pulse!=0) PORTE|=(1<<PE5);											//  ,    
		else PORTE&=~(1<<PE5);													//,  
		break;
	case 3:
		DDRB|=(1<<PB5);															//    
		if (Pulse!=0) PORTB|=(1<<PB5);											//  ,    
		else PORTB&=~(1<<PB5);													//,  
		break;
	case 4:
		DDRB|=(1<<PB6);															//    
		if (Pulse!=0) PORTB|=(1<<PB6);											//  ,    
		else PORTB&=~(1<<PB6);													//,  
		break;
	case 5:
		DDRB|=(1<<PB7);															//    
		if (Pulse!=0) PORTB|=(1<<PB7);											//  ,    
		else PORTB&=~(1<<PB7);													//,  
	}
#endif	

//-------------------    16  - -------------------
#ifdef _IO_16_ENABLE_

#endif
	
	_ShimCount[Cannel]=0;														//   
	
	_Timer2_Enable();															//    2
	
	sei();																		// 
	return 0;
}
#endif